{% extends 'admin.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>User index</h1>
    <a href="{{ path('app_admin_user_new') }}">Create new</a>
    <table class="table contenair-fluid">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Last name</th>
                <th>Valid</th>
                <th>Password</th>
                <th>Email</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.firstName }}</td>
                <td>{{ user.lastName }}</td>
                <td>{{ user.valid }}</td>
                <td>{{ user.password }}</td>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                <td>{{ user.email }}</td>
                
                <td>
                    <a href="{{ path('app_admin_user_show', {'id': user.id}) }}">show</a>
                    <a href="{{ path('app_admin_user_edit', {'id': user.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

  
{% endblock %}
